<h1>Posts</h1>
<p><a [routerLink]="['/posts','extra']"
      [ngStyle]="{'textDecoration':'none', 'fontSize' : '20px','color':'red', 'transition':' all 1s ease-out'}">Show
      Extra....</a>
</p>
<p><a [routerLink]="['/posts']"
      [ngStyle]="{'textDecoration':'none', 'fontSize' : '20px','color':'red', 'transition':' all 1s ease-out'}">
      Close Extra....</a>
</p>

<router-outlet></router-outlet>
<hr>
<button class="btn" [routerLink]="['/posts']" [queryParams]="{showId: true}">show Id</button>
<div class="card" *ngFor="let post of postsService.posts">
   <h4>
      <a [routerLink]="['/posts', post.id]">
         <strong *ngIf="showId">(ID {{post.id}})</strong>
         {{post.title}}
      </a>
   </h4>
</div>